> ## Documentation Index
> Fetch the complete documentation index at: https://developers.resistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List tenants

> List organization tenants



## OpenAPI

````yaml /tm_openapi.json get /tenants
openapi: 3.0.1
info:
  title: Resistant Documents organization Tenants API - prod
  version: 0.0.1
  description: >-

    Resistant Documents provides this API to programmatically interact with its
    organization tenant management.

    Interaction with the API can be divided into three phases:


    1. organization access provisioning and its configuration. This is managed
    by the Resistant AI team and credentials for API access are provided.

    2. Managing tenants within organization - creation, deletion and listing.

    3. Configuration of an api access for provisioned tenant.
servers:
  - url: https://{environment}.resistant.ai/v0
    description: Tenant Management API
    variables:
      environment:
        default: api.tenants
        enum:
          - api.tenants
          - api.tenants.testing
security: []
paths:
  /tenants:
    get:
      summary: List tenants
      description: List organization tenants
      operationId: getTenants
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            default: 20
        - in: query
          name: after_id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Tenant created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantPageResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '415':
          $ref: '#/components/responses/UnsupportedMediaType'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - OAuth2:
            - tenants.read
components:
  schemas:
    TenantPageResponse:
      title: TenantPageResponse
      type: object
      properties:
        items:
          title: Items
          type: array
          items:
            $ref: '#/components/schemas/TenantResponse'
        _links:
          title: Links
          type: object
          additionalProperties: true
          example:
            next:
              href: /tenants?limit={limit}&after_id={after_id}
      required:
        - items
        - _links
    TenantResponse:
      title: TenantResponse
      type: object
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        created:
          title: Created
          type: string
        updated:
          title: Updated
          type: string
        cells:
          title: Cells
          type: array
          items:
            $ref: '#/components/schemas/CellName'
        _links:
          properties:
            documents-ui:
              type: object
              additionalProperties: true
              example:
                - href: name-org-name.documents.resistant.ai
                  rel: eu-1
                - href: name-org-name.us-1.documents.resistant.ai
                  rel: us-1
                - href: name-org-name.ap-2.documents.resistant.ai
                  rel: ap-2
                - href: name-org-name.ap-3.documents.resistant.ai
                  rel: ap-3
                - href: name-org-name.ca-1.documents.resistant.ai
                  rel: ca-1
      required:
        - id
        - name
        - created
        - updated
        - cells
    Error:
      title: Error
      type: object
      properties:
        message:
          title: Error message
          description: Detailed error message
          minLength: 0
          maxLength: 512
          type: string
      required:
        - message
    CellName:
      title: CellName
      description: An enumeration.
      enum:
        - eu-1
        - us-1
        - ap-2
        - ap-3
        - ca-1
      type: string
  responses:
    BadRequest:
      description: Bad request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing valid authentication credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Access to the requested resource is forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnsupportedMediaType:
      description: Unsupported media type.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Request quota was exceeded
  securitySchemes:
    OAuth2:
      type: oauth2
      description: >
        [JWT with private
        key](https://developer.okta.com/docs/api/openapi/okta-oauth/guides/client-auth/#jwt-with-private-key).

        [Java
        example](https://developer.okta.com/docs/guides/build-self-signed-jwt/java/main/#build-a-jwt-with-a-private-key)
         Please note that Token URL is specific for a given environment. Correct URL is in the corresponding environment documentation.
      flows:
        clientCredentials:
          tokenUrl: https://eu.id.resistant.ai/oauth2/aus17c172cLOCWEyk417/v1/token
          scopes:
            tenants.read: Read tenant configurations within the organization
            tenants.write: Manage and configure tenants within the organization
            tenants.applications.read: Read tenant applications
            tenants.applications.write: Manage tenant applications
            organization.read: Read organization configuration

````